From: bluelovers <codelovers@users.sourceforge.net>
Date: Sat, 14 Aug 2021 22:45:21 +0800
Subject: [fix] Handle the `auth` property (#213)

Update the value of the `username` and `password` properties when the
`auth` property is set.

Bug: https://github.com/unshiftio/url-parse/issues/212
Origin: https://github.com/unshiftio/url-parse/commit/993acbe7b9e1da823271c9d33c573b3869c0cc79
---
 index.js | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/index.js b/index.js
index a1e3420..64470ac 100644
--- a/index.js
+++ b/index.js
@@ -419,6 +419,13 @@ function set(part, value, fn) {
       }
       break;
 
+    case 'auth':
+      var splits = value.split(':');
+      url.username = splits[0];
+      url.password = splits.length === 2 ? splits[1] : '';
+      url[part] = value;
+      break;
+
     default:
       url[part] = value;
   }
